var GCal3 = (function (api) {

    // unique identifier for this plugin...
  var uuid = '16D7C7B2-FA60-451E-A78B-B3EDF41A22D5';
	var myModule = {};
	var device = api.getCpanelDeviceId();
	SID = "urn:srs-com:serviceId:GCalIII";
	
	function onBeforeCpanelClose(args) {
        // do some cleanup...
        console.log('handler for before cpanel close');
    }

    function init() {
        // register to events...
        api.registerEventHandler('on_ui_cpanel_before_close', myModule, 'onBeforeCpanelClose');
    }
function calendarTab(device) {
  try {
      init();
      var html = '';
      // var gcal = api.getDeviceState(device, SID , "gc_gCal",{"dynamic" : true});
      var jsonstring = api.getDeviceState(device, SID , "gc_Variables",{"dynamic" : true});
      var GCV = JSON.parse(jsonstring);
      var src = GCV[0].CalendarID;
      var gcal = GCV[0].gCal;
      
      if (gcal == "true") {
			html += '<iframe src="' + src + '&amp;';
			html += 'showPrint=0&amp;';
			html += 'showTabs=0&amp;';
			html += 'showCalendars=0&amp;';
			html += 'showTz=0&amp;';
			html += 'mode=WEEK&amp;';
			html += 'height=500&amp;';
			html += 'wkst=1&amp;';
			html += 'bgcolor=%23FFFFFF&amp;';
			html += 'color=%23711616&amp';
			html += ' style=" border-width:0 " width="800" height="480" frameborder="0" scrolling="no"></iframe>';
      api.setCpanelContent(html);
} else {
      html += '<iframe src="' + src;
			html += '" style=" border-width:0 " width="200" height="120" frameborder="0" scrolling="no"></iframe>';
      api.setCpanelContent(html);
      };
		} catch (e) {
			Utils.logError('Error in GCalIII.calendarTab(): ' + e);
		}
	}
myModule = {
        uuid: uuid,
        init: init,
        onBeforeCpanelClose: onBeforeCpanelClose,
		calendarTab: calendarTab
	};
    return myModule;
})(api);	
